---
title: 'Feature-Policy: wake-lock'
slug: Web/HTTP/Headers/Feature-Policy/wake-lock
tags:
  - Directive
  - Feature-Policy
  - HTTP
  - Reference
  - Wake Lock API
---
<p>{{HTTPSidebar}} {{SeeCompatTable}}</p>

<div class="hidden">
<p><strong>Note:</strong> This API is still actively being developed and available only behind a flag on select browsers and platforms.</p>
</div>

<p>The HTTP {{HTTPHeader('Feature-Policy')}} header <code>wake-lock</code> directive controls whether the current document is allowed to use Wake Lock API to indicate that device should not enter power-saving mode.</p>

<div class="notecard note">
<p><strong>Note:</strong> Latest drafts of <a href="/en-US/docs/Web/API/Screen_Wake_Lock_API">Screen Wake Lock API</a> defines {{HTTPHeader("Feature-Policy/screen-wake-lock","screen-wake-lock")}} directive.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="notranslate">Feature-Policy: wake-lock &lt;allowlist&gt;;</pre>

<dl>
 <dt>&lt;allowlist&gt;</dt>
 <dd>{{page('Web/HTTP/Feature_Policy/Using_Feature_Policy', 'allowlist')}}</dd>
</dl>

<h2 id="Default_policy">Default policy</h2>

<p>Default allow list for <code>wake-lock</code> is <code>'self'</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Feature Policy')}}</td>
   <td>{{Spec2('Feature Policy')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td><a href="https://www.w3.org/TR/2017/CR-wake-lock-20171214/">Wake Lock API 1</a></td>
   <td>Candidate Recommendation</td>
   <td>Initial definition of <code>wake-lock</code> feature directive.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat('http.headers.Feature-Policy.wake-lock')}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader('Feature-Policy')}} header</li>
 <li><a href="/en-US/docs/Web/HTTP/Feature_Policy">Feature Policy</a></li>
 <li><a href="/en-US/docs/Web/HTTP/Feature_Policy/Using_Feature_Policy">Using Feature Policy</a></li>
 <li><a href="https://www.w3.org/TR/wake-lock/#wake-locks">Default value of the allow list</a></li>
</ul>
